## python-oslotest 5.0.1

=== requirements.txt ===
fixtures>=3.0.0 # Apache-2.0/BSD
python-subunit>=1.0.0 # Apache-2.0/BSD
testtools>=2.2.0 # MIT

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
oslo.config>=5.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-oslotest (1:5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 21:27:24 +0200

python-oslotest (1:5.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 12:36:41 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/oslo.test.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info doc/source/reference/api
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-oslotest-doc/usr/share/doc/python-oslotest-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/oslo.test/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-oslotest 6.0.0

=== debian/changelog ===
python-oslotest (1:6.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.
  * d/control: drop hacking from build-depends.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 02 Mar 2026 17:59:09 +0100

python-oslotest (1:5.0.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1048426).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:49:01 +0100

=== debian/control ===
Source: python-oslotest
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 Corey Bryant <corey.bryant@canonical.com>,
 David Della Vecchia <ddv@canonical.com>,
 Guillaume Boutry <guillaume.boutry@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-openstackdocstheme,
 python3-os-client-config,
 python3-oslo.config,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-subunit,
 python3-testtools,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslotest
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslotest.git
Homepage: https://launchpad.net/oslo

Package: python-oslotest-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack test framework - doc
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the documentation.

Package: python3-oslotest
Architecture: all
Depends:
 python3-debtcollector,
 python3-fixtures,
 python3-os-client-config,
 python3-pbr,
 python3-stestr,
 python3-testtools,
 subunit,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack test framework - Python 3.x
 OpenStack test framework that provides base classes and fixtures for creating
 unit and functional tests.
 .
 This package contains the Python 3.x module.
